require 'safe_colorize'

module UtilsDrawer
  module TableDrawer
    class Column
      using SafeColorize
      prepend ColumnValidator

      attr_accessor :text

      def initialize(text, size)
        # Ignore ANSI escape sequences
        pure_text = text.to_pure

        text += ' ' * (size - pure_text.size) if !size.nil? && size > pure_text.size
        @text = text
      end
    end
  end
end
